<?php
/*
+------------------------------------------------------------------------+
| ConPresso-Module "mobile" - Mobile friendly output                     |
+------------------------------------------------------------------------+
| Copyright (c) Markus Rsel http://www.conpresso4.de                    |
+------------------------------------------------------------------------+
| LICENSE INFO                                                           |
| This source file is subject to ConPresso license version 2002-11-16    |
| that is bundled with this package in the files LICENSE_EN.TXT or       |
| LICENSE_DE.TXT, and is available through the world-wide-web at         |
|     http://www.conpresso.de/license/LICENSE_EN-2002-11-16.TXT or       |
|     http://www.conpresso.de/license/LICENSE_DE-2002-11-16.TXT          |
|                                                                        |
| If you did not receive a copy of the ConPresso license and are unable  |
| to obtain it through the world-wide-web, please send a note to         |
| <license@conpresso.de> so we can e-mail you a copy immediately.        |
+------------------------------------------------------------------------+
| MODULE LICENSE                                                         |
| This souce file is also subject to the module license available        |
| through the world-wide-web at                                          |
|    http://www.conpresso4.de/_rubric/index.php?rubric=Lizenzbedingungen |
| It is NOT freeware and must not be redistributed!                      |
+------------------------------------------------------------------------+
| Authors: Markus Rsel <mods@50n.de>                                    |
+------------------------------------------------------------------------+

== Version: 4.1 / May 2015 ==

*/


if (!defined('CPO')) exit;
$translator->addTranslation('mobile', CPO_BASEDIR.$moduleDirectory.'/lang');

$GLOBALS['modules']['mobile'] = array(
    'directory' => $moduleDirectory,
    'caption'   => __('Mobile Pages'),
    'pagetemplate_index'       => 0,
    'html_code'       => '<html>
<head>
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <link rel="stylesheet" type="text/css" href="../mod_mobile/mobile-style.css" />
  <script type="text/javascript" src="../mod_mobile/mobile-functions.js"></script>
</head>
<body>

<div id="header"><h2><a href="/"><img id="top" src="../mod_mobile/mobile.jpg" /> mod_mobile</a></h2></div>

<div id="menuHamburger"><a href="javascript:toggleMenu(\'menu\',\'menuToggler\',\'Menu\')" id="menuToggler">&equiv; Menu</a></div>

<!-- Die Navigation -->
<div id="menu">
<!-- Page: Navigation; -->
</div>

<!-- Der Content -->
<div id="content">
<!-- Page: articles; -->
</div>

<!-- Die Mobil/Desktop-Umschaltung -->
<div id="toggleMobile">
<a href="javascript:toggleMobile(false)">Desktop-Ansicht</a>
</div>


</body>
</html>',
    'showAny'       => 'no',

    'install'   => 'function: mobile_install',
    'activate'  => 'function: mobile_activate '.$moduleDirectory,
    'deactivate'=> 'function: mobile_deactivate',
    'uninstall' => 'function: mobile_uninstall '.$moduleDirectory,
    'manage'	=> 'function: mobile_manage'
	);

function log_mobile()  {
	global $cpoSystem;
	@mail('kontakt@conpresso4.de','Das Modul mobile wurde unter '.BASE_ABS.' installiert','','From: '.$cpoSystem['admin_email']);
}

function mobile_install()
{
	log_mobile();
    $GLOBALS['message'][] = ___('The mobile page module was successfully installed!');
}
function mobile_uninstall($moduleDirectory)
{
	$GLOBALS['message'][] = sprintf(__('The mobile page module was successfully removed from the ConPresso system. Please remove the module directory <i>%s</i> to finally uninstall the mobile module!'),$moduleDirectory);

}
function mobile_activate($moduleDirectory)
{
    $GLOBALS['message'][] = ___('The mobile page module got activated.');
}

function mobile_deactivate()
{
    $GLOBALS['message'][] = ___('The mobile page module got deactivated.').$reload_navigation;
}

function mobile_manage()
{
	global $dbPrefix, $db, $k, $module_status;
	if(array_key_exists($k, $module_status) && $module_status[$k]!=MODULE_INACTIVE)  {
		echo '<a href="'.BASE_ABS.$GLOBALS['modules']['mobile']['directory'].'/edit.php"><img src="'.SKIN_URL.'pic_edit.gif" title="'.__('edit mobile settings').'" alt="'.__('edit mobile settings').'"></a>';
	} else {
		echo '<img src="'.SKIN_URL.'pic_shade.gif" class="pic_" style="background: url('.SKIN_URL.'pic_edit.gif);" alt="'.  __('not available').'" title="'.__('not available').'">';
	}
}

function detectMobile()
{
    $useragent=$_SERVER['HTTP_USER_AGENT'];
    if(preg_match('/(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|iris|kindle|lge |maemo|midp|mmp|mobile.+firefox|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows ce|xda|xiino/i',$useragent)||preg_match('/1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s\-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|\-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw\-(n|u)|c55\/|capi|ccwa|cdm\-|cell|chtm|cldc|cmd\-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc\-s|devi|dica|dmob|do(c|p)o|ds(12|\-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(\-|_)|g1 u|g560|gene|gf\-5|g\-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd\-(m|p|t)|hei\-|hi(pt|ta)|hp( i|ip)|hs\-c|ht(c(\-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i\-(20|go|ma)|i230|iac( |\-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc\-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|\-[a-w])|libw|lynx|m1\-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m\-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(\-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)\-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|\-([1-8]|c))|phil|pire|pl(ay|uc)|pn\-2|po(ck|rt|se)|prox|psio|pt\-g|qa\-a|qc(07|12|21|32|60|\-[2-7]|i\-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h\-|oo|p\-)|sdk\/|se(c(\-|0|1)|47|mc|nd|ri)|sgh\-|shar|sie(\-|m)|sk\-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h\-|v\-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl\-|tdg\-|tel(i|m)|tim\-|t\-mo|to(pl|sh)|ts(70|m\-|m3|m5)|tx\-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|\-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(\-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas\-|your|zeto|zte\-/i',substr($useragent,0,4))) return true;
}

// show mobile version on any device
$mod_mobile = ($activeModules['mobile']['showAny']=="yes") ? true : false;

//  check for mobile devices
if (detectMobile() === true) $mod_mobile = true;

// use cookie if available, so display is switchable
if ($_COOKIE['showMobile'] == 'true') $mod_mobile = true;
if ($_COOKIE['showMobile'] == 'false') $mod_mobile = false;
